Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.intel.cosbench.client.keystone
Class KeystoneRequest.AuthInfo

    java.lang.Object
      com.intel.cosbench.client.keystone.KeystoneRequest.AuthInfo

Enclosing class:
  KeystoneRequest

    public static class KeystoneRequest.AuthInfo

extends java.lang.Object

The authentication information holding either the password credentials or the token id. This class is specially structured in a way that is compatible with the interface provided by the keystone service.
`{"passwordCredentials": ... , "token": ... , "tenantId": "?", "tenantName": "?"}`

Author:
  qzheng

Nested Class Summary
`static class` | `KeystoneRequest.AuthInfo.Credentials` The credentials comprised of both the username and the password.
`static class` | `KeystoneRequest.AuthInfo.Token` The token meta data identified by its id.

Constructor Summary
`KeystoneRequest.AuthInfo()`

Method Summary
`KeystoneRequest.AuthInfo.Credentials` | `getPasswordCredentials()`
`java.lang.String` | `getTenantId()`
`java.lang.String` | `getTenantName()`
`KeystoneRequest.AuthInfo.Token` | `getToken()`
`void` | `setPasswordCredentials(KeystoneRequest.AuthInfo.Credentials passwordCredentials)`
`void` | `setTenantId(java.lang.String tenantId)`
`void` | `setTenantName(java.lang.String tenantName)`
`void` | `setToken(KeystoneRequest.AuthInfo.Token token)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### KeystoneRequest.AuthInfo

    public KeystoneRequest.AuthInfo()

Method Detail

### getPasswordCredentials

    public KeystoneRequest.AuthInfo.Credentials getPasswordCredentials()

### setPasswordCredentials

    public void setPasswordCredentials(KeystoneRequest.AuthInfo.Credentials passwordCredentials)

### getToken

    public KeystoneRequest.AuthInfo.Token getToken()

### setToken

    public void setToken(KeystoneRequest.AuthInfo.Token token)

### getTenantId

    public java.lang.String getTenantId()

### setTenantId

    public void setTenantId(java.lang.String tenantId)

### getTenantName

    public java.lang.String getTenantName()

### setTenantName

    public void setTenantName(java.lang.String tenantName)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD